Merging hosts manually

Prev Next

A manual host merge preserves the attributes of duplicate hosts by incorporating them into a new persistent host. The new host has a persistent xAgent ID that is associated with the attributes of the previously duplicate xAgent IDs.

To merge one or more duplicate hosts into a persistent one:

  1. From the Trellix API, where agent_id is the xAgent ID of the host you want to keep,

    PUT /hosts/{agent_id}/merged_hosts

  2. Complete the following request body with the list of duplicate xAgent IDs you want to merge,

    	{
    		"hosts":[
    			"QcuSTNMEZ35c9dMWpJs4oa"
    			"QcuSTNMEZ35c9dMWpJs4ob"
    			"QcuSTNMEZ35c9dMWpJs4oc"
    			]
    	}
Verifying manual merge

To verify whether an xAgent ID is active or has been merged:

  • From the Trellix API, where agent_id is the xAgent ID of the host in question,

    GET /hosts/{agent_id}/current_id

    If the xAgent has been merged, the xAgent ID of the new persistent host is returned. If the xAgent has not been merged and is still active, its original agent ID is returned. If the xAgent is not merged and not active, a 404/503 error message is returned.

    For more examples and specifications of these API elements, please refer to the FireEye Developer Hub.